#2443 Unable to add topics to slashsites in T_2_3_0_92

Other
closed-fixed
Rob Malda
Admin (123)
6
2003-05-27
2003-05-07
No

saveTopic is trying to use the old sql schema rather
than the new one with topics and topic_images. This
happens on all of our sites right now:

[Wed May 7 17:06:28 2003] [error]
/admin.pl:Slash::DB::Utility:/usr/local/lib/perl5/site_perl/5.8.0/i386-freebsd/Slash/DB/Utility.pm:586:INSERT
INTO topics
(width,parent_topic,name,alttext,height,image) VALUES(
'80',
'0',
'CHall',
'City Hall',
'80',
'journaltopic.png')

[Wed May 7 17:06:28 2003] [error] Which was called
by:Slash::DB::MySQL:/usr/local/lib/perl5/site_perl/5.8.0/i386-freebsd/Slash/DB/MySQL.pm:2197:INSERT
INTO topics
(width,parent_topic,name,alttext,height,image) VALUES(
'80',
'0',
'CHall',
'City Hall',
'80',
'journaltopic.png')

[Wed May 7 17:09:47 2003] [error]
/admin.pl:Slash::DB::Utility:/usr/local/lib/perl5/site_perl/5.8.0/i386-freebsd/Slash/DB/Utility.pm:586:INSERT
INTO topics
(width,parent_topic,name,alttext,height,image) VALUES(
'80',
'0',
'CHall',
'City Hall',
'80',
'journaltopic.png')

[Wed May 7 17:09:47 2003] [error] Which was called
by:Slash::DB::MySQL:/usr/local/lib/perl5/site_perl/5.8.0/i386-freebsd/Slash/DB/MySQL.pm:2197:INSERT
INTO topics
(width,parent_topic,name,alttext,height,image) VALUES(
'80',
'0',
'CHall',
'City Hall',
'80',
'journaltopic.png')

Discussion

  • Logged In: YES
    user_id=8390

    We upgraded to current CVS (since we can't seem to pull _93
    right now) and the problem exists there as well.

     
    • priority: 5 --> 6
     
    • assigned_to: nobody --> cowboyneal
     
  • Chris Nandor
    Chris Nandor
    2003-05-23

    • assigned_to: cowboyneal --> cmdrtaco
    • status: open --> open-fixed
     
  • Chris Nandor
    Chris Nandor
    2003-05-23

    Logged In: YES
    user_id=3660

    See patch #740868.

     
  • Rob Malda
    Rob Malda
    2003-05-27

    • status: open-fixed --> closed-fixed